/* Button Link Paragraphs */

.paragraph.regular .button-links {
  display:flex;
  flex-wrap:wrap;
  gap:20px;
  list-style:none;
  margin:24px auto;
  max-width:760px;
  padding:0;
  width:100%;
}

.paragraph.regular .body.centered .button-links {justify-content:center;}
.paragraph.regular .body > .button-links:first-child {margin-top:0;}
.paragraph.regular .body:last-child .button-links {margin-bottom:0;}

.paragraph.regular .button-links li.button-link {
  display:block;
  margin:0;
}

.paragraph.regular .button-links li.button-link a.button {
  background:var(--main-blue);
  border-radius:24px;
  color:#fff;
  display:block;
  font-size:.888889rem;
  line-height:1.5em;
  margin:0 auto;
  max-width:300px;
  padding:12px 36px;
  text-transform:uppercase;
}

.paragraph.regular .button-links li.button-link a.button:hover {text-decoration:underline;}


/* Callout Content Paragraphs */

.paragraph.regular .body.callout .callout-wrapper > h3:first-child {margin-top:0;}
.paragraph.regular .body.callout .callout-wrapper {margin:0 20px 20px 0;}
.paragraph.regular .body.callout .callout-wrapper:after {right:0;}


/* Card Paragraphs */

.paragraph.regular .cards {
  display:flex;
  flex-wrap:wrap;
  gap:20px;
  justify-content:center;
  row-gap:40px;
}

.paragraph.regular .cards > .card {
  background:#fff;
  border-radius:20px;
  box-shadow:4px 4px 16px 0 rgba(0,0,0,.5);
  align-items:stretch;
  display:grid;
}

.paragraph.regular .card .card-container {
  align-items:stretch;
  display:grid;
  gap:16px;
  grid-template-rows:auto auto 1fr;
  padding:0 0 24px;
}

.paragraph.regular .card .card-container:hover h3 {text-decoration:underline;}

.paragraph.regular .card .locations {
  background:var(--main-teal);
  border-radius:0 0 8px 8px;
  display:inline-flex;
  flex-wrap:wrap;
  gap:12px;
  justify-content:center;
  margin:0 auto;
  padding:12px 20px;
  list-style:none;
  width:fit-content;
}

.paragraph.regular .card .location {
  color:#fff;
  font-size:.777778rem;
  line-height:1em;
  margin:0;
  position:relative;
  text-transform:uppercase;
}

.paragraph.regular .card .location:not(:first-child):before {
  background:#fff;
  content:"";
  display:block;
  height:100%;
  position:absolute;
  left:-7px;
  width:2px;
}

.paragraph.regular .card figure.card {margin:0;}

.paragraph.regular .card .card-content {
  display:grid;
  grid-template-rows:auto auto 1fr;
  height:100%;
  padding:8px 20px 0;
}

.paragraph.regular .card .card-title {margin:0 0 8px;}

.paragraph.regular .card .card-container .teaser p {
  color:var(--main-text-color);
  font-weight:400;
}

.paragraph.regular .card .card-container .teaser p:last-child {margin-bottom:0;}
.paragraph.regular .card .card-container p.read-more {align-self:flex-end;}


/* Document Paragraphs */

.paragraph.regular .documents-container {
  display:flex;
  flex-wrap:wrap;
  gap:20px;
  justify-content:center;
  margin:0;
  padding:50px 0 0;
  position:relative;
}

.paragraph.regular .documents-container:before {
  background:#f3f6f9;
  content:"";
  display:block;
  height:400px;
  left:0;
  position:absolute;
  top:0;
  width:100%;
  z-index:-1;
}

.paragraph.regular .documents-container figure.document {margin:0;}


/* Homepage Introduction Paragraphs */

section.paragraph.regular.homepage-introduction > .content-container {
  gap:0;
  text-align:center;
}

.paragraph.regular.homepage-introduction h1.page-title {margin-bottom:4px;}

.paragraph.regular.homepage-introduction p {
  font-size:1.222222rem;
  line-height:1.454545em;
  margin:0;
}

.paragraph.regular.homepage-introduction ul.button-links {
  justify-content:center;
  margin:16px auto 0;
}

.paragraph.regular.homepage-introduction ul.button-links li.button-link a.button {
  font-size:1rem;
  line-height:1.333333em;
  padding:16px 40px;
  text-transform:uppercase;
}


/* News Paragraphs */

.paragraph.regular .news-items {
  display:grid;
  gap:30px;
}

.paragraph.regular .news-items .news-item {position:relative;}

.paragraph.regular .news-items .news-item:before {
  background:var(--main-gold);
  content:"";
  display:block;
  height:3px;
  position:absolute;
  top:-3px;
  width:40px;
}

.paragraph.regular .news-item .news-item-title {margin:24px 0 0;}

.paragraph.regular .news-item .descriptor {
  color:var(--main-text-color);
  font-weight:400;
}


/* Regular Paragraphs */

.article-content section.paragraph.regular {
  margin:0 auto;
  padding:40px 20px;
  max-width:100%;
}

.article-content section.paragraph.regular.background-blue {background:var(--main-lightest-blue);}
.article-content section.paragraph.regular.background-cream {background:var(--main-lightest-cream);}
.article-content section.paragraph.regular.background-white + section.paragraph.regular.background-white,
.article-content section.paragraph.regular.background-blue + section.paragraph.regular.background-blue,
.article-content section.paragraph.regular.background-cream + section.paragraph.regular.background-cream,
.article-content section.documents + section.paragraph.regular,
.article-content > .body.main-body:has(+ section.paragraph.regular) + section.paragraph.regular:has(h2.sr-only + .content-container > .body:first-child) {padding-top:0;}

section.paragraph.regular > h2.title {
  margin:0 auto 16px;
  max-width:760px;
  width:100%;
}
 
section.paragraph.regular.centered > h2.title {
  max-width:900px;
  text-align:center;
}

section.paragraph.regular > h2.title:has(+ .content-container > .body:not(.callout):first-child) {margin-bottom:4px;}

section.paragraph.regular > .content-container {
  display:grid;
  gap:40px;
  margin:0 auto;
  max-width:1200px;
  width:100%;
}

section.paragraph.regular > .content-container:has(> section.callout) {padding-bottom:20px;}

section.paragraph.regular .content-container > .body {
  margin:0 auto;
  max-width:760px;
  width:100%;
}

section.paragraph.regular .content-container > .body > :last-child {margin-bottom:0;}


/* Video Paragraphs */

section.paragraph.regular .videos-container {
  display:grid;
  gap:20px;
}

section.paragraph.regular .videos-container figure.video {
  margin:0 auto;
  max-width:760px;
}


@media (min-width:500px) {  
  
  /* Document Paragraphs */
  
  .paragraph.regular .documents-container figure.document {width:calc(50% - 40px);}
 
}


@media (min-width:600px) {
  
  /* Card Paragraphs */

  .paragraph.regular .cards {gap:40px;}
  .paragraph.regular .cards > .card {width:calc(50% - 20px);}
  .paragraph.regular .card .card-content {padding:8px 32px 0;}
  
  
  /* News Paragraphs */

  .paragraph.regular .news-items {
    background-image:url(/themes/custom/jcrc/images/jcrc-mark-transparent.svg);
    background-position:center;
    background-repeat:no-repeat;
    background-size:400px;
    gap:60px;
    grid-template-columns:1fr 1fr;
  }  
  
}


@media (min-width:768px) {  
  
  /* Document Paragraphs */

  .paragraph.regular .documents-container {gap:40px;}
  .paragraph.regular .documents-container figure.document {width:calc((100%/3) - 40px);}
  
  
  /* Homepage Introduction Paragraphs */

  .paragraph.regular.homepage-introduction ul.button-links {margin-top:20px}

  
  /* Regular Paragraphs */
  
  .article-content section.paragraph.regular {padding:60px 20px 80px;}
  .article-content section.paragraph.regular.homepage-introduction {padding-top:80px;}
  .article-content section.paragraph.regular:last-child {padding-bottom:60px;}


  /* Video Paragraphs */
  
  section.paragraph.regular .videos-container.multiple {grid-template-columns:1fr 1fr;}
  
  section.paragraph.regular .videos-container.multiple figure.video:last-child:nth-of-type(2n-1) {
    grid-column:1 / 3;
    width:50%;
  }
  
}


@media (min-width:1000px) {
  
  /* Card Paragraphs */

  .paragraph.regular .cards > .card {width:calc((100%/3) - 27px);}
  
  
  /* Document Paragraphs */

  .paragraph.regular .documents-container figure.document {width:calc(25% - 40px);}
  
  
  /* News Paragraphs */

  .paragraph.regular .news-items {  
    background-position:top -10px left;
    background-size:350px;
    column-gap:32px;
    margin-top:-50px;
    padding:50px 0 0 400px;
  }  
  
  
}